Subject: bug#15900: 24.3.50; foreground-color-at-point returns wrong results

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2013 05:52:33 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 17 Nov 2013 03:33:47 +0100
> 
> > > If faces are among them, I still must figure out if one of these
> > > faces changes the foreground.
> >
> > You can know them in advance, I think.  Your example talks about
> > links, which use a known face.  I presume there are only a few faces
> > that needs such a special treatment, which would make the list of them
> > quite short.
> >
> > IOW, why not test against a known list of properties that you want to
> > leave alone, instead of digging into their color?
> 
> I think the missing information you didn't have is that this is a
> general mode, it must work in any Emacs buffer.  w3m was only an example
> - info, man, and gnus are others.  So, testing for hardcoded face or
> property lists is not really an option.

I still don't see why it isn't an option, even for a general-purpose
mode.  The list of faces that need such special treatment must be
quite short, and it can be a defcustom.